
QGIS Application - Bug report #3539

v.to.db: allow selecting 2/3 columns

2011-03-02 01:31 PM - Enrico Fiore

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 13599

Description

When I try to upload x, y and z coordinates from vector geometry to attribute table, I can't select from menù the tree column to update, but

only one, this creates an error because the comand requires two or tree column to run.

Associated revisions

Revision 250fcbcd - 2016-02-03 02:20 PM - Radim Blazek

[GRASS] multiple vector field option, fixes #3539

History

#1 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:26 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2012-10-06 09:39 AM - Giovanni Manghi

- Operating System deleted (Windows)

- Pull Request or Patch supplied set to No

- Status info deleted (0)

- Subject changed from GRASS Plugin -  v.to.db to v.to.db: allow selecting 2/3 columns

#5 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-11-20 04:04 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

this is still valid for QGIS 2.13 master.

The interface of this GRASS Module in QGIS should be modified to allow more than one attribute field when using option 'coor': "Point coordinates X,Y or
X,Y,Z".

#7 - 2015-12-12 03:02 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#8 - 2016-02-03 05:22 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"250fcbcd6bbc0872718da6405b5b63c3d6fe5a9d".

#9 - 2016-02-03 05:26 AM - Radim Blazek

Fixed, additional fields may be added by '+' button. Still not perfect because fields must be added manually. Ideally  number of fields would be

automatically changed according to option selected, but it also depends on vector's dimension.
